Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class SourceAwareCustomizerFactory.SourceOptions

- org.codehaus.groovy.control.customizers.builder.SourceAwareCustomizerFactory.SourceOptions

-     public static class SourceAwareCustomizerFactory.SourceOptions
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `basename` |
    `Closure<Boolean>` | `basenameValidator` |
    `List<String>` | `basenames` |
    `Closure<Boolean>` | `classValidator` |
    `CompilationCustomizer` | `delegate` |
    `String` | `extension` |
    `Closure<Boolean>` | `extensionValidator` |
    `List<String>` | `extensions` |
    `Closure<Boolean>` | `unitValidator` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public String basename

    - #### public Closure<Boolean> basenameValidator

    - #### public List<String> basenames

    - #### public Closure<Boolean> classValidator

    - #### public CompilationCustomizer delegate

    - #### public String extension

    - #### public Closure<Boolean> extensionValidator

    - #### public List<String> extensions

    - #### public Closure<Boolean> unitValidator